Package weka.experiment

# Class RemoteExperimentEvent

java.lang.Object
weka.experiment.RemoteExperimentEvent

All Implemented Interfaces:
  `Serializable`

public class RemoteExperimentEvent extends Object implements Serializable
Class encapsulating information on progress of a remote experiment

Version:
  $Revision: 1.7 $
Author:
  Mark Hall (mhall@cs.waikato.ac.nz)
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`m_experimentFinished`
True if a remote experiment has finished
`boolean`
`m_logMessage`
A log type message
`String`
`m_messageString`
The message
`boolean`
`m_statusMessage`
A status type message

## Constructor Summary

Constructors
Constructor
Description
`RemoteExperimentEvent(boolean status, boolean log, boolean finished, String message)`
Constructor

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### m_statusMessage

public boolean m_statusMessage
A status type message

### m_logMessage

public boolean m_logMessage
A log type message

### m_messageString

public String m_messageString
The message

### m_experimentFinished

public boolean m_experimentFinished
True if a remote experiment has finished

## Constructor Details

### RemoteExperimentEvent

public RemoteExperimentEvent(boolean status, boolean log, boolean finished, String message)
Constructor

Parameters:
  `status` - true for status type messages
  `log` - true for log type messages
  `finished` - true if experiment has finished
  `message` - the message